> ## Documentation Index
> Fetch the complete documentation index at: https://help.standards.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the list of pages in the project (scope: document.read)



## OpenAPI

````yaml /api-reference/schema.yaml get /workspace/{workspace-id}/project/{project-id}/pages
openapi: 3.0.0
info:
  title: Standards API
  description: Access Standards account and project information
  termsOfService: https://standards.site/terms-of-service/
  contact:
    name: Standards Support
    url: https://help.standards.site/
    email: support@standards.site
  version: 0.1.0
servers:
  - url: https://api.standards.site/beta
security: []
paths:
  /workspace/{workspace-id}/project/{project-id}/pages:
    get:
      tags:
        - Project
      summary: 'Retrieve the list of pages in the project (scope: document.read)'
      operationId: getProjectPages
      parameters:
        - name: workspace-id
          in: path
          required: true
          description: The identifier for the workspace
          example: z3plqkvf52r
          schema:
            type: string
        - name: project-id
          in: path
          required: true
          description: The identifier for the project in the workspace
          example: 3e95a13e7f1
          schema:
            type: string
      responses:
        '200':
          description: The list of pages was retrieved successfully
          content:
            application/json:
              schema:
                title: PagesResponse
                type: object
                required:
                  - workspace
                  - project
                  - pages
                properties:
                  workspace:
                    type: string
                    description: >-
                      The workspace id (matches the workspace-id sent with the
                      request)
                    example: z3plqkvf52r
                  project:
                    type: string
                    description: >-
                      The project id (matches the project-id sent with the
                      request)
                    example: 3e95a13e7f1
                  pages:
                    type: array
                    items:
                      title: PagesItemResponse
                      type: object
                      required:
                        - id
                        - name
                      properties:
                        id:
                          type: string
                          description: >-
                            The unique identifier for the page, used as the url
                            path
                          example: logo
                        name:
                          type: string
                          description: The name assigned to the page
                          example: Logo
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorizedRequest'
        '403':
          $ref: '#/components/responses/ForbiddenRequest'
        '404':
          $ref: '#/components/responses/NotFoundRequest'
        '429':
          $ref: '#/components/responses/TooManyWorkspaceRequests'
      security:
        - bearerAuth: []
components:
  responses:
    BadRequest:
      description: The request is invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: invalid_request
            error_description: workspace-id is required
    UnauthorizedRequest:
      description: The request does not have valid authentication.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: invalid_client
            error_description: The client credentials are invalid
    ForbiddenRequest:
      description: The client does not have authorization to make the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: access_denied
            error_description: The scope 'projects.read' is required to access this resource
    NotFoundRequest:
      description: The requested endpoint or resource could not be found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: not_found
            error_description: The project has not been published
    TooManyWorkspaceRequests:
      description: >-
        The number of API requests made to the workspace has exceeded the
        allowed threshold.
  schemas:
    ErrorResponse:
      type: object
      description: The response format used for all errors.
      required:
        - error
      properties:
        error:
          type: string
          description: An error code indicating why the request failed.
        error_description:
          type: string
          description: Additional details on the reason for the error.
        error_uri:
          type: string
          description: The URL where documentation for the Standards API can be found.
          example: https://help.standards.site/api
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````